%define waddir  %{_datadir}/doom

Name:           prboom
Version:        2.5.0
Release:        12%{?dist}
Summary:        Open source port of the DOOM game engine

Group:          Amusements/Games
License:        GPLv2+
URL:            http://prboom.sourceforge.net/
Source0:        http://downloads.sourceforge.net/prboom/prboom-2.5.0.tar.gz

BuildRequires:  SDL_mixer-devel SDL_net-devel
BuildRequires:  libGLU-devel
BuildRequires:  autoconf >= 2.69-10

Requires:       freedoom

# FIXME one day
BuildConflicts: libpng-devel

%description
prboom is an open-source port of Doom, the classic 3D first-person shooter
game.  It totally outclassed any 3D world games that preceded it, with amazing
speed, flexibility, and outstanding gameplay. The specs to the game were
released, and thousands of extra levels were written by fans of the game; even
today new levels are written for Doom faster then any one person could play
them.

%prep
%setup -q

%build
autoreconf -vif

%configure --enable-gl --disable-cpu-opt --program-prefix='' --with-waddir=%{waddir} --disable-i386-asm

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Move the binaries out of the crufty /usr/games directory
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT/usr/games/* $RPM_BUILD_ROOT/%{_bindir}

# Remove the doc files that will get picked up in the files
# section below.
rm -rf $RPM_BUILD_ROOT/%{_docdir}

%files
%{_bindir}/prboom
%{_bindir}/prboom-game-server
%dir %{waddir}
%{waddir}/prboom.wad
%{_mandir}/man5/*
%{_mandir}/man6/*
%doc NEWS AUTHORS README COPYING
%doc doc/README.compat doc/README.demos doc/MBF.txt doc/MBFFAQ.txt doc/boom.txt

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Jaromir Capik <jcapik@redhat.com> - 2.5.0-9
- aarch64 support (#926369)
- Adding BuildConflicts with libpng-devel

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 18 2010 Wart <wart at kobold.org> 2.5.0-4
- configure with --disable-i386-asm to prevent crash on startup (BZ #517600)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Wart <wart at kobold.org> 2.5.0-1
- Update to 2.5.0

* Fri Feb 8 2008 Wart <wart at kobold.org> 2.4.7-3
- Rebuild for gcc 4.3

* Mon Aug 20 2007 Wart <wart at kobold.org> 2.4.7-2
- License tag clarification
- Better download URL

* Tue Nov 19 2006 Wart <wart at kobold.org> 2.4.7-1
- Update to 2.4.7

* Tue Oct 17 2006 Wart <wart at kobold.org> 2.4.6-1
- Update to 2.4.6

* Fri Sep 1 2006 Wart <wart at kobold.org> 2.4.5-2
- Rebuild for Fedora Extras 6

* Sat Aug 12 2006 Wart <wart at kobold.org> 2.4.5-1
- Update to 2.4.5
- Remove gamedir patch as it was accepted upstream.

* Sun Jul 23 2006 Wart <wart at kobold.org> 2.4.4-1
- Update to 2.4.4

* Sun Jul 23 2006 Wart <wart at kobold.org> 2.4.3-2
- Forgot to update the sources file before building.

* Sun Jul 23 2006 Wart <wart at kobold.org> 2.4.3-1
- Update to 2.4.3

* Sun Jul 16 2006 Wart <wart at kobold.org> 2.4.2-1
- Update to 2.4.2

* Sat Apr 22 2006 Wart <wart at kobold.org> 2.4.1-2
- Build both opengl and non-opengl binaries.

* Tue Apr 18 2006 Wart <wart at kobold.org> 2.4.1-1
- Update to 2.4.1

* Sun Mar 19 2006 Wart <wart at kobold.org> 2.3.1-6
- Updated -gamedir patch to add freedoom to the in-game wad menu.

* Sat Mar 18 2006 Wart <wart at kobold.org> 2.3.1-5
- Updated patches to fix segfault on i386 (BZ #185741)

* Tue Mar 14 2006 Wart <wart at kobold.org> 2.3.1-4
- Added patch to fix up some x86_64 issues

* Mon Mar 13 2006 Wart <wart at kobold.org> 2.3.1-3
- Once again, change the default wad dir to datadir/doom (see discussion on
  bz #185211)

* Sun Mar 12 2006 Wart <wart at kobold.org> 2.3.1-2
- Replace datadir/games/doom with datadir/prboom in the files section.

* Sat Mar 11 2006 Wart <wart at kobold.org> 2.3.1-1
- Initial package for Fedora Extras
